Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.manager.interfaces.impl
Class SimpleResourceTreeNode

    java.lang.Object
      org.jboss.console.manager.interfaces.impl.SimpleTreeNode
          org.jboss.console.manager.interfaces.impl.SimpleResourceTreeNode

All Implemented Interfaces:
  ResourceTreeNode, Serializable, TreeNode

public class SimpleResourceTreeNode
extends SimpleTreeNode
implements ResourceTreeNode

Version:
  $Revision: 1.5 $

  Revisions:

  31 d�c. 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Field Summary
`protected ManageableResource` | `resource`
`protected int` | `visibility`

Fields inherited from class org.jboss.console.manager.interfaces.impl.SimpleTreeNode
`action, description, icon, isMaster, menuEntries, name, nodeManagableResources, subNodes`

Fields inherited from interface org.jboss.console.manager.interfaces.ResourceTreeNode
`ALWAYS_VISIBLE, INVISIBLE_IF_SUBNODE_EXISTS`

Constructor Summary
`SimpleResourceTreeNode()`
`SimpleResourceTreeNode(String name, String description, String icon, TreeAction action, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] nodeManagableResources)`
`SimpleResourceTreeNode(String name, String description, String icon, TreeAction action, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] nodeManagableResources, ManageableResource resource)`

Method Summary
`ManageableResource` | `getResource()`
`int` | `getVisibility()`
`ResourceTreeNode` | `setVisibility(int visibility)`

Methods inherited from class org.jboss.console.manager.interfaces.impl.SimpleTreeNode
`getAction, getDescription, getIcon, getMenuEntries, getName, getNodeManagableResources, getSubNodes, isMasterNode, setMasterNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.console.manager.interfaces.TreeNode
`getAction, getDescription, getIcon, getMenuEntries, getName, getNodeManagableResources, getSubNodes, isMasterNode`

Field Detail

### resource

    protected ManageableResource resource

### visibility

    protected int visibility

Constructor Detail

### SimpleResourceTreeNode

    public SimpleResourceTreeNode()

### SimpleResourceTreeNode

    public SimpleResourceTreeNode(String name,
                                  String description,
                                  String icon,
                                  TreeAction action,
                                  TreeNodeMenuEntry[] menuEntries,
                                  TreeNode[] subNodes,
                                  ResourceTreeNode[] nodeManagableResources)

### SimpleResourceTreeNode

    public SimpleResourceTreeNode(String name,
                                  String description,
                                  String icon,
                                  TreeAction action,
                                  TreeNodeMenuEntry[] menuEntries,
                                  TreeNode[] subNodes,
                                  ResourceTreeNode[] nodeManagableResources,
                                  ManageableResource resource)

Method Detail

### getResource

    public ManageableResource getResource()

  Specified by:
    `getResource` in interface `ResourceTreeNode`

### getVisibility

    public int getVisibility()

  Specified by:
    `getVisibility` in interface `ResourceTreeNode`

### setVisibility

    public ResourceTreeNode setVisibility(int visibility)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.